<?php
// tells if a ogg file with the same name exists, so we don't show it
function is_video($file_name)
{
	$file_ogg = substr_replace($file_name, 'ogg', strlen($file_name)-3);
	if (file_exists("$file_ogg")) return TRUE; else return FALSE;
}

if (!isset($_GET['sec'])) $sec = "1"; else $sec = $_GET['sec'];

################################################################################
// grab the variables we want set for newer php version compatability
// the @ supress the error messages if your php.ini error level is too high
@$currentPic = $GLOBALS['HTTP_GET_VARS']['currentPic'];
@$directory = $GLOBALS['HTTP_GET_VARS']['directory'];

// set directory
if (empty($directory)) $directory = ".";

$header = "VeSPA Slideshow";
$browser_title = "$header";
$dh = opendir( "$directory" );
while( $file = readdir( $dh ) ) {
// look for these file types....
   if (eregi("(jpg|jpeg|JPG|JPEG)$",$file) && !is_video($directory.'/'.$file) ) {
   	$pic_info[] = $file;
	sort( $pic_info );
   }
}

// begin messing with the array
$number_pics = count ($pic_info);
if (empty($currentPic)) $currentPic = 0;
if (($currentPic > $number_pics)||($currentPic == $number_pics))
	$currentPic = '0';
$item = explode (";", $pic_info[$currentPic]);
$preload = explode (";", $pic_info[$currentPic+1]);
if ($currentPic > 0 ) $back = $currentPic - 1;
else $currentPic = "0";
$next = $currentPic + 1;

// meta refresh stuff for auto slideshow...
$meta_refresh = "<meta http-equiv=\"refresh\" content=\"";
$meta_refresh .= "$sec;url=$path?directory=$directory&sec=$sec&currentPic=$next\">";

################################################################################

print <<< HERE

<html>
<head>
    $meta_refresh
	<title>$header</title>
	<link REL="shortcut icon" HREF="favicon.png" TYPE="image/x-png"></head>
<body bgcolor=#000000>
<center>
<table border=0>
 <tr>
  <td align=center valign=center>
HERE;

# $taille contient [ largeur, hauteur, type, taille_html ]
$taille = getimagesize("$directory/$item[0]");

echo "<a href='$path?directory=$directory&sec=$sec&currentPic=$next'>
	<script>
	document.write('<img src=\"$directory/$item[0]\" ";
if ( $taille[0] >= $taille[1] )
	echo "width=',screen.availWidth * 0.95)";
else
	echo "height=',screen.availHeight * 0.96)";
echo "</script> </a>";

print <<< HERE
   <img src="$directory/$preload[0]" alt="image" border="0" width=0 height=0>
  </td>
 </tr>
 </table>
</center>
</body>
</html>
HERE;

?>
